import type { HrefPropType, KoliBriQuoteVariant, LabelPropType, QuoteAPI, QuoteStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolQuote implements QuoteAPI {
    _label?: string;
    _href: HrefPropType;
    _quote: string;
    _variant?: KoliBriQuoteVariant;
    state: QuoteStates;
    validateLabel(value?: LabelPropType): void;
    validateHref(value?: HrefPropType): void;
    validateQuote(value?: string): void;
    validateVariant(value?: KoliBriQuoteVariant): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
